Forum Rule: Always post complete source code & details to reproduce any issue!
Results 1 to 4 of 4

Thread: Teensy 3.1 on Linux

  1. #1
    Junior Member
    Join Date
    Jan 2018
    Posts
    2

    Teensy 3.1 on Linux

    I have an older board, 3.1, that I want to use as an I2C device for a project. All of the project is in Linux so I figured I would see if I could use the arduino and teensy IDE on linux.

    I can't find the board to set in the IDE, all of the boards are Arduino with Teensy? The web page mentions an install but all I did was extract the files from the archive. Is there something I didn't see to find the right board files?

  2. #2
    Senior Member pictographer's Avatar
    Join Date
    May 2013
    Location
    San Jose, CA
    Posts
    624
    After you install Arduino, the easiest approach is to run the Teensyduino installer. See instructions here.

  3. #3
    Junior Member
    Join Date
    Jan 2018
    Posts
    2
    Sorry, I must be tired. I know I had to install the teensyduino on my windows machine. When I did the search it took me to a place that only dealt with the loader. I went back and installed it correctly and it all works great now. Thanks.

  4. #4
    Senior Member pictographer's Avatar
    Join Date
    May 2013
    Location
    San Jose, CA
    Posts
    624
    Glad it's working for you now!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •